Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# CIAO::Dynamic_Component_Activator Class Reference

Activator that is registered with the POA for facet and consumer servants. More...

`#include <Dynamic_Component_Activator.h>`

Inheritance diagram for CIAO::Dynamic_Component_Activator:

[legend]
Collaboration diagram for CIAO::Dynamic_Component_Activator:

[legend]
List of all members.

## Public Member Functions
| Dynamic_Component_Activator (CORBA::ORB_ptr o)
virtual | ~Dynamic_Component_Activator (void)
PortableServer::Servant | incarnate (const PortableServer::ObjectId &oid, PortableServer::POA_ptr poa) throw (CORBA::SystemException, PortableServer::ForwardRequest)
| Template methods overridden to get callbacks.
void | etherealize (const PortableServer::ObjectId &oid, PortableServer::POA_ptr adapter, PortableServer::Servant servant, CORBA::Boolean cleanup_in_progress, CORBA::Boolean remaining_activations) throw (CORBA::SystemException)
void | add_servant_map (PortableServer::ObjectId &oid, Dynamic_Component_Servant_Base *servant)
void | delete_servant_map (PortableServer::ObjectId &oid)
## Private Attributes
CORBA::ORB_var | orb_
| Pointer to our ORB.
ACE_SYNCH_MUTEX | mutex_
| Mutex that synchronizes access to the array.
ACE_Hash_Map_Manager_Ex< PortableServer::ObjectId, Dynamic_Component_Servant_Base *, TAO_ObjectId_Hash, ACE_Equal_To< PortableServer::ObjectId >, ACE_SYNCH_MUTEX > | servant_map_

## Detailed Description

Activator that is registered with the POA for facet and consumer servants.

## Constructor & Destructor Documentation

CIAO::Dynamic_Component_Activator::Dynamic_Component_Activator | ( | CORBA::ORB_ptr | o | ) |

CIAO::Dynamic_Component_Activator::~Dynamic_Component_Activator | ( | void |  | ) | `[virtual]`

## Member Function Documentation

void CIAO::Dynamic_Component_Activator::add_servant_map | ( | PortableServer::ObjectId & | oid,
|  | Dynamic_Component_Servant_Base * | servant
| ) |

void CIAO::Dynamic_Component_Activator::delete_servant_map | ( | PortableServer::ObjectId & | oid | ) |

void CIAO::Dynamic_Component_Activator::etherealize | ( | const PortableServer::ObjectId & | oid,
|  | PortableServer::POA_ptr | adapter,
|  | PortableServer::Servant | servant,
|  | CORBA::Boolean | cleanup_in_progress,
|  | CORBA::Boolean | remaining_activations
| ) | throw (CORBA::SystemException)

PortableServer::Servant CIAO::Dynamic_Component_Activator::incarnate | ( | const PortableServer::ObjectId & | oid,
|  | PortableServer::POA_ptr | poa
| ) | throw (CORBA::SystemException, PortableServer::ForwardRequest)

| Template methods overridden to get callbacks. If you would like to know the details of the following two methods, please PortableServer documentation. This is probably not the place to document what these mean.

## Member Data Documentation

ACE_SYNCH_MUTEX CIAO::Dynamic_Component_Activator::mutex_`[private]`

| Mutex that synchronizes access to the array.

CORBA::ORB_var CIAO::Dynamic_Component_Activator::orb_`[private]`

| Pointer to our ORB.

ACE_Hash_Map_Manager_Ex<PortableServer::ObjectId, Dynamic_Component_Servant_Base *, TAO_ObjectId_Hash, ACE_Equal_To<PortableServer::ObjectId>, ACE_SYNCH_MUTEX> CIAO::Dynamic_Component_Activator::servant_map_`[private]`

The documentation for this class was generated from the following files:

- Dynamic_Component_Activator.h
- Dynamic_Component_Activator.cpp